#!/bin/bash
#This recipe was adapted from the conda-forge recipe

set -e -o pipefail

if [ "$(uname)" = Darwin ] ; then
  export LDFLAGS="$LDFLAGS -Wl,-rpath,$PREFIX/lib"
else
  export CFLAGS="${CFLAGS} -L${INSTALL_DIR}/lib -I${INSTALL_DIR}/include"
  export LDFLAGS="${LDFLAGS}  -L${INSTALL_DIR}/lib"
fi

# Needed for jpeg on Linux/GCC7:
export CPPFLAGS="$CPPFLAGS -I$PREFIX/include"

## From CIAO build-all.sh
#export CONFIG_FLAGS="--without-libjpeg --without-libtiff"
#export BASE_DEPENDENCIES_CFLAGS="${CFLAGS} -I${PREFIX}/include/glib-2.0 -I${PREFIX}/include"
#export BASE_DEPENDENCIES_LIBS="${LDFLAGS}"


#In case any of the GTK dependencies contain libtool files
# conda-build #3102 should fix this, but the dependency might have been built without this.
find $CONDA_PREFIX -name '*.la' -delete
find $PREFIX -name '*.la' -delete

./configure \
    --prefix=$PREFIX \
    --libdir=$PREFIX/lib \
    --enable-introspection=no \
    ${CONFIG_FLAGS}

make V=1 -j$CPU_COUNT
make install

#Clean up created libtool files and gtk-doc
cd $PREFIX
rm -rf share/gtk-doc
find . -name '*.la' -delete
